Propelus
Monitoring

Retrieve Monitoring Details

Retrieves monitoring details for a professional.

Using the professionalId, retrieve all relevant monitoring details for a professional.

GET
/v2/monitoring/results

Authorization

apiKey clientId
x-api-key<token>

In: header

x-client-id<token>

In: header

Query Parameters

professionalId*string

Unique identifier for the professional.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/monitoring/results?professionalId=628fc8e2-ee7e-4779-9eb7-d980e7a92f3a"
[
  {
    "id": "628fc8e2-ee7e-4779-9eb7-d980e7a92f3a",
    "status": "active",
    "product": "credentialVerification",
    "productCategory": "automated",
    "nextScheduledDate": "2025-01-15",
    "verification": {
      "result": {
        "status": 0,
        "detail": "string",
        "code": "string",
        "input": {
          "credential": {
            "number": "string",
            "code": "RN",
            "state": "CA",
            "certState": "CA"
          },
          "name": {
            "prefix": "Dr.",
            "first": "string",
            "middle": "string",
            "last": "string",
            "suffix": "string"
          },
          "dob": "19770428",
          "ssn": "000482915",
          "zipCode": "string",
          "customProperties": {
            "property1": "string",
            "property2": "string"
          }
        },
        "verification": {
          "isFound": true,
          "lastName": "HOLLOWAY",
          "firstName": "TOBIAS",
          "middleName": "R",
          "customFields": {
            "boardName": "FLORIDA API TESTING BOARD",
            "COMPACT_STATUS": "SINGLE STATE",
            "property1": "string",
            "property2": "string"
          },
          "credentialNumber": "908398",
          "credentialStatus": "INACTIVE",
          "screenshotURL": "http://example.com",
          "expirationDate": "2024-05-18T00:00:00.000Z",
          "originalIssueDate": "2002-04-01T00:00:00.000Z",
          "disciplinaryAction": false,
          "useScreenshotTemplate": true
        }
      },
      "runId": "628fc8e2-ee7e-4779-9eb7-d980e7a92f3a",
      "date": "2024-01-15T13:45:30Z"
    },
    "lastExecutionLog": {
      "status": "success",
      "result": {},
      "date": "2024-01-15T13:45:30Z"
    }
  }
]
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 429,
  "detail": "string",
  "code": "f5d62b05-370e-48be-a755-8675ca146431"
}
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 500,
  "detail": "string",
  "code": "unexpected_error"
}